petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscIntStackTop

This function returns the top of the stack.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscIntStackTop(PetscIntStack stack, int *top)

Not Collective

### Input Parameter

stack -The stack

### Output Parameter

top -The integer on top of the stack

### See Also

PetscIntStackCreate(), PetscIntStackDestroy(), PetscIntStackEmpty(), PetscIntStackPush(), PetscIntStackPop()

### Level

developer

### Location

src/sys/logging/utils/stack.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages